import { BehaviorSubject, Subject } from 'rxjs';
import { makeDatasource, AdapterPropName, EMPTY_ITEM, } from './vscroll';
const getBooleanSubjectPropConfig = () => ({
    source: new Subject(),
    emit: (source, value) => source.next(value)
});
const ɵ0 = getBooleanSubjectPropConfig;
const getItemBehaviorSubjectPropConfig = () => ({
    source: new BehaviorSubject(EMPTY_ITEM),
    emit: (source, value) => source.next(value)
});
const ɵ1 = getItemBehaviorSubjectPropConfig;
const getAdapterConfig = () => ({
    mock: false,
    reactive: {
        [AdapterPropName.init$]: getBooleanSubjectPropConfig(),
        [AdapterPropName.isLoading$]: getBooleanSubjectPropConfig(),
        [AdapterPropName.loopPending$]: getBooleanSubjectPropConfig(),
        [AdapterPropName.firstVisible$]: getItemBehaviorSubjectPropConfig(),
        [AdapterPropName.lastVisible$]: getItemBehaviorSubjectPropConfig(),
        [AdapterPropName.bof$]: getBooleanSubjectPropConfig(),
        [AdapterPropName.eof$]: getBooleanSubjectPropConfig(),
    }
});
const ɵ2 = getAdapterConfig;
const makeAngularDatasource = () => class {
    constructor(_ds) { }
};
const ɵ3 = makeAngularDatasource;
const AngularDatasource = makeDatasource(getAdapterConfig);
export { AngularDatasource as Datasource, };
export { ɵ0, ɵ1, ɵ2, ɵ3 };
//# sourceMappingURL=ui-scroll.datasource.js.map