import { Directive, Input, TemplateRef, ViewContainerRef, ComponentFactoryResolver } from '@angular/core';
import { UiScrollComponent } from './ui-scroll.component';
var UiScrollDirective = /** @class */ (function () {
    function UiScrollDirective(templateRef, viewContainer, resolver) {
        this.templateRef = templateRef;
        this.viewContainer = viewContainer;
        this.resolver = resolver;
    }
    Object.defineProperty(UiScrollDirective.prototype, "uiScrollOf", {
        set: function (datasource) {
            this.datasource = datasource;
        },
        enumerable: false,
        configurable: true
    });
    UiScrollDirective.prototype.ngOnInit = function () {
        var compFactory = this.resolver.resolveComponentFactory(UiScrollComponent);
        var componentRef = this.viewContainer.createComponent(compFactory, void 0, this.viewContainer.injector);
        componentRef.instance.datasource = this.datasource;
        componentRef.instance.template = this.templateRef;
    };
    UiScrollDirective.decorators = [
        { type: Directive, args: [{ selector: '[uiScroll][uiScrollOf]' },] }
    ];
    UiScrollDirective.ctorParameters = function () { return [
        { type: TemplateRef },
        { type: ViewContainerRef },
        { type: ComponentFactoryResolver }
    ]; };
    UiScrollDirective.propDecorators = {
        uiScrollOf: [{ type: Input }]
    };
    return UiScrollDirective;
}());
export { UiScrollDirective };
//# sourceMappingURL=ui-scroll.directive.js.map